Bug 244675 - net/ceph14: Update to 14.2.8, add libcephfs to the port
Summary: net/ceph14: Update to 14.2.8, add libcephfs to the port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on: 245560
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-08 12:15 UTC by Willem Jan Withagen
Modified: 2020-04-27 18:30 UTC (History)
3 users (show)

See Also:


Attachments
Enable the building of libcephfs.so (7.13 KB, patch)
2020-03-08 12:15 UTC, Willem Jan Withagen
no flags Details | Diff
Enable the building of libcephfs.so, update to 14.2.18 (22.19 KB, patch)
2020-04-12 12:25 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Willem Jan Withagen 2020-03-08 12:15:11 UTC
Created attachment 212253 [details]
Enable the building of libcephfs.so

Ceph-mgr with dashboard functions better if libcephfs.so is available
for the python modules to load.

libcephfs is easily made buildable, cephfs as a FS implementation itself is 
only possible through the Fuse client
Comment 1 Dima Panov freebsd_committer 2020-04-12 11:41:26 UTC
WIP. Required https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245560

While here, preparing incorporate it with  update to 14.2.8
Comment 2 Dima Panov freebsd_committer 2020-04-12 12:25:13 UTC
Created attachment 213333 [details]
Enable the building of libcephfs.so, update to 14.2.18

Incorporate with update
Comment 3 Willem Jan Withagen 2020-04-12 15:38:13 UTC
(In reply to Dima Panov from comment #2)

Other than that the ceph version is actually 14.2.8, I agree with merging the 2 patches.
Comment 4 Dima Panov freebsd_committer 2020-04-12 17:27:56 UTC
(In reply to Willem Jan Withagen from comment #3)

Sorry, of course 14.2.8, it was a mistype
Comment 5 commit-hook freebsd_committer 2020-04-27 18:30:13 UTC
A commit references this bug:

Author: fluffy
Date: Mon Apr 27 18:29:21 UTC 2020
New revision: 533161
URL: https://svnweb.freebsd.org/changeset/ports/533161

Log:
  net/ceph14: Update to 14.2.8, enable libcephfs to be built

  PR:		244675
  Submitted by:	fluffy, Willem Jan Withagen (based on)
  Approved by:	Willem Jan Withagen (maintainer)
  Relnotes:	https://ceph.io/releases/v14-2-8-nautilus-released/

Changes:
  head/net/ceph14/Makefile
  head/net/ceph14/distinfo
  head/net/ceph14/files/file-git_version
  head/net/ceph14/files/patch-src_CMakeLists.txt
  head/net/ceph14/files/patch-src_rgw_rgw__iam__policy.h
  head/net/ceph14/files/patch-src_rgw_rgw_rest_conn.h
  head/net/ceph14/files/patch-src_test_libcephfs_lazyio.cc
  head/net/ceph14/pkg-message
  head/net/ceph14/pkg-plist
Comment 6 Dima Panov freebsd_committer 2020-04-27 18:30:39 UTC
Committed!